Subject: RE: bug#12507: `bookmark-write-file': use `write-file', not `write-region', to get backups

From: "Drew Adams" <[email-masked]>
Date: Thu, 27 Sep 2012 08:02:40 -0700

> while implementing backups for bookmarks please take into account
> that it should not create backups in VC-controlled directories.
> 
> I guess normal `save-buffer' or `write-file' should take care 
> about this by creating backups only in non-VC directories, or
> creating numbered backups if there are already existing numbered
> backups.

What you say in the second sentence sounds like the right approach.
This problem doesn't sound like it is specific to bookmarks.
IOW, it should be the subject of another bug ("wishlist") report.